import QtQuick 2.10
import QtQuick.Controls 1.4
import QtWebEngine 1.4
import QtMultimedia 5.12

ApplicationWindow {
    width: 800
    height: 600
    visible: true

    Column {
        anchors.fill: parent
        Loader {
            id: loader
            active: false
            anchors {
                left: parent.left
                right: parent.right
            }
            height: 240
            sourceComponent: WebEngineView {
                url: "about:blank"
                Component.onCompleted: loadHtml("test page")
            }
        }

        Video {
            anchors {
                left: parent.left
                right: parent.right
            }
            height: 320
            source: "http://clips.vorwaerts-gmbh.de/big_buck_bunny.mp4"
            loops: MediaPlayer.Infinite
            Component.onCompleted: play()

            MouseArea {
                anchors.fill: parent
                onClicked: loader.active = true
            }
        }
    }
}

